Module java.base
Package java.io

## Interface ObjectInputValidation

    public interface ObjectInputValidation

Callback interface to allow validation of objects within a graph. Allows an object to be called when a complete graph of objects has been deserialized.

Since:
  1.1
See Also:
  `ObjectInputStream`, `ObjectInputStream.registerValidation(java.io.ObjectInputValidation, int)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validateObject()` Validates the object.

### Method Detail

#### validateObject

    void validateObject()
                 throws InvalidObjectException

Validates the object.

Throws:
  `InvalidObjectException` - If the object cannot validate itself.